/*
 * Copyright (c) 2008-2009 Tomas Varaneckas
 * http://www.varaneckas.com
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.varaneckas.hawkscope.command;

import org.eclipse.swt.program.Program;

/**
 * Update Hawkscope Menu Item {@link Command}
 *
 * @author Tomas Varaneckas
 * @version $Id: UpdateCommand.java 505 2009-03-29 06:48:35Z tomas.varaneckas $
 */
public class UpdateCommand implements Command {
    
    /**
     * Target URL
     */
    private final String url;
    
    /**
     * Constructor with target URL
     * 
     * @param url
     */
    public UpdateCommand(final String url) {
        this.url = url;
    }

    /**
     * Update is available!
     */
    public void execute() {
        Program.launch(url);
    }

}
